lonlat2map {oce} | R Documentation

## Convert Longitude and Latitude to X and Y

### Description

If a projection is already being used (e.g. as set by `mapPlot`) then only `longitude` and `latitude` should be given, and the other arguments will be inferred by `lonlat2map`. This is important because otherwise, if a new projection is called for, it will ruin any additions to the existing plot.

### Usage

    lonlat2map(longitude, latitude, projection = "")

### Arguments

`longitude` | a vector containing decimal longitudes, or a list containing items named `longitude` and `latitude`, in which case the indicated values are used, and next argument is ignored.
`latitude` | a vector containing decimal latitude (ignored if `longitude` is a list, as described above).
`projection` | optional indication of projection. This must be character string in the format used by the `rgdal` package; see `mapPlot`.)

### Value

A list containing `x` and `y`.

### Author(s)

Dan Kelley

### See Also

`mapLongitudeLatitudeXY` is a safer alternative, if a map has already been drawn with `mapPlot`, because that function cannot alter an existing projection. `map2lonlat` is an inverse to `map2lonlat`.

Other functions related to maps: `lonlat2utm`, `map2lonlat`, `mapArrows`, `mapAxis`, `mapContour`, `mapDirectionField`, `mapGrid`, `mapImage`, `mapLines`, `mapLocator`, `mapLongitudeLatitudeXY`, `mapPlot`, `mapPoints`, `mapPolygon`, `mapScalebar`, `mapText`, `mapTissot`, `oceCRS`, `shiftLongitude`, `utm2lonlat`

### Examples

    ## Not run:
    library(oce)
    ## Cape Split, in the Minas Basin of the Bay of Fundy
    cs <- list(longitude=-64.49657, latitude=45.33462)
    xy <- lonlat2map(cs, projection="+proj=merc")
    map2lonlat(xy)

    ## End(Not run)

[Package oce version 0.9-22 Index]